artdaq Demo - Feature #23724

Add test to suite that runs artdaqDriver and verifies output

12/06/2019 11:38 AM - Eric Flumerfelt

Status: Closed

Priority: Normal

Assignee: Eric Flumerfelt
Category:

Target version: artdaq_demo v3_07_01

Co-Assignees:

Start date: 12/06/2019
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

In #23719, | discovered that s85 builds of artdag's RootDAQOut_module would always crash at the end of the run and never close

their files correctly. We should have tests in place that run the driver and then run an art job to verify that the correct number of

events are present in the output file.

Additionally, it would be nice to have a short run of the demo simple_test_config encapsulated in a test, though | am not sure that this

is possible.

Related issues:

Related to artdaq - Bug #23719: Prof builds of art fail to close files in v3_...

Closed

History

#1 - 12/06/2019 11:38 AM - Eric Flumerfelt

- Related to Bug #23719: Prof builds of art fail to close files in v3_07_00 added

#2 - 12/06/2019 12:51 PM - Eric Flumerfelt

Driver test implemented on artdaq_demo:feature/23724_DriverTestWithVerification

#3 - 12/06/2019 12:51 PM - Eric Flumerfelt

- Status changed from New to Resolved

#4 - 12/06/2019 03:20 PM - Ron Rechenmacher

- Status changed from Resolved to Reviewed

merged feature/23724_DriverTestWithVerification
looked at fcl changes
did mrb t

#5 - 12/06/2019 03:21 PM - Ron Rechenmacher
- % Done changed from 0 to 100

#6 - 12/09/2019 08:19 AM - Eric Flumerfelt
- Target version set to artdaq_demo v3_07_01
- Project changed from artdaq to artdaq Demo

- Experiment deleted (-)

#7 - 12/09/2019 08:20 AM - Eric Flumerfelt

- Status changed from Reviewed to Closed
